Bug 1211941 - abrt-applet doesn't support SNI or persistent notifications (in plasma)
Summary: abrt-applet doesn't support SNI or persistent notifications (in plasma)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-04-15 09:01 UTC by Martin Kyral
Modified: 2016-03-01 17:36 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-01 17:36:14 UTC


Attachments (Terms of Use)

Description Martin Kyral 2015-04-15 09:01:26 UTC
Description of problem:
abrt-applet doesn't create persistent notification properly in KDE. Thus once a crash occurs, only bubble notification is displayed which disappears after short timeout. After that, there's no visual indication that any problem happened at all.


Version-Release number of selected component (if applicable):
abrt-2.5.0-2.fc22


Additional info:
The only change needed is to set the timeout for the notification to 0 as can be easily demonstrated by notify-send: notify-send aaaa bbbbb vs. notify-send -t 0 aaaa bbbbb

Comment 1 Rex Dieter 2015-11-03 14:26:25 UTC
Well, and that abrt-applet doesn't support status notifiers (only legacy/xembed systray icon), so it doesn't show on plasma either.  updating summary to match.

Comment 2 Rex Dieter 2016-03-01 17:36:14 UTC
plasma now supports xembedsniproxy for legacy applets


Note You need to log in before you can comment on or make changes to this bug.